Package com.google.javascript.jscomp

# Enum JsMessage.Style

java.lang.Object
java.lang.Enum<JsMessage.Style>
com.google.javascript.jscomp.JsMessage.Style

All Implemented Interfaces:
  `Serializable`, `Comparable<JsMessage.Style>`, `java.lang.constant.Constable`

Enclosing class:
  `JsMessage`

public static enum JsMessage.Style extends Enum<JsMessage.Style>
Message style that could be used for JS code parsing. The enum order is from most relaxed to most restricted.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOSURE`
`LEGACY`
`RELAX`

## Method Summary

Modifier and Type
Method
Description
`static JsMessage.Style`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsMessage.Style[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEGACY

public static final JsMessage.Style LEGACY

### RELAX

public static final JsMessage.Style RELAX

### CLOSURE

public static final JsMessage.Style CLOSURE

## Method Details

### values

public static JsMessage.Style[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static JsMessage.Style valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null